Subject: bug#22361: closed (Re: bug#22361: 11.89; No completion of \implies or \iff math symbols)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 17 Jan 2016 15:21:02 +0000

Your bug report

#22361: 11.89; No completion of \implies or \iff math symbols

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22361: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22361
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22361: 11.89; No completion of \implies or \iff math symbols
From: Mosè Giordano <[email-masked]>
To: Aiko Kyle <[email-masked]>
Cc: [email-masked]
Date: Sun, 17 Jan 2016 16:19:59 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Aiko,

2016-01-13 4:58 GMT+01:00 Aiko Kyle <[email-masked]>:
> Hi,
>
> I use company-auctex for completion of latex symbols and I noticed that
> while \Longrightarrow \Longleftrightarrow are completed, \imples and
> \iff are not completed. I checked company-auctex's source and I believe
> it ultimately gets these completions from the LaTeX-math-default
> symbol defined in latex.el. I was hoping that \implies and \iff could be
> added to LaTeX-math-default so that it would be possible to get these as
> possible canidates for completion.

I don't know if company-auctex is aware of it, but in general you can
add custom mathematical symbols to `LaTeX-math-list'.  Anyway, the
arrows you suggested are standard AMS symbols, thus I added them to
`LaTeX-math-default'.  Thanks for your help!

Bye,
Mosè

Subject: 11.89; No completion of \implies or \iff math symbols
From: Aiko Kyle <[email-masked]>
To: [email-masked]
Date: Tue, 12 Jan 2016 20:58:11 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I use company-auctex for completion of latex symbols and I noticed that
while \Longrightarrow \Longleftrightarrow are completed, \imples and
\iff are not completed. I checked company-auctex's source and I believe
it ultimately gets these completions from the LaTeX-math-default
symbol defined in latex.el. I was hoping that \implies and \iff could be
added to LaTeX-math-default so that it would be possible to get these as
possible canidates for completion.

Thanks!

Emacs  : GNU Emacs 24.5.1 (x86_64-apple-darwin13.4.0, NS
apple-appkit-1265.21)
 of 2015-04-10 on builder10-9.porkrind.org
Package: 11.89

current state:
==============
(setq
 AUCTeX-date "2015-11-13"
 window-system 'ns
 LaTeX-version "2e"
 TeX-style-path '("/usr/local/var/auctex"
"/Users/akyle/.emacs.d/elpa/auctex-11.89/style"
                  "/Users/akyle/.emacs.d/auctex/auto"
"/Users/akyle/.emacs.d/auctex/style" "auto"
                  "style")
 TeX-auto-save nil
 TeX-parse-self t
 TeX-master t
 TeX-command-list '(("TeX"
                     "%(PDF)%(tex) %(file-line-error) %(extraopts)
%`%S%(PDFout)%(mode)%' %t"
                     TeX-run-TeX nil (plain-tex-mode ams-tex-mode
texinfo-mode) :help
                     "Run plain TeX")
                    ("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX nil (latex-mode
doctex-mode) :help
                     "Run LaTeX")
                    ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile
nil (texinfo-mode)
                     :help "Run Makeinfo with Info output")
                    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t"
TeX-run-compile nil
                     (texinfo-mode) :help "Run Makeinfo with HTML output")
                    ("AmSTeX" "amstex %(PDFout) %(extraopts) %`%S%(mode)%'
%t" TeX-run-TeX nil
                     (ams-tex-mode) :help "Run AMSTeX")
                    ("ConTeXt" "%(cntxcom) --once --texutil %(extraopts)
%(execopts)%t"
                     TeX-run-TeX nil (context-mode) :help "Run ConTeXt
once")
                    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t"
TeX-run-TeX nil
                     (context-mode) :help "Run ConTeXt until completion")
                    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help "Run
BibTeX")
                    ("Biber" "biber %s" TeX-run-Biber nil t :help "Run
Biber")
                    ("View" "%V" TeX-run-discard-or-function t t :help "Run
Viewer")
                    ("Print" "%p" TeX-run-command t t :help "Print the
file")
                    ("Queue" "%q" TeX-run-background nil t :help "View the
printer queue" :visible
                     TeX-queue-command)
                    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t t :help
                     "Generate PostScript file")
                    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil t
:help
                     "Convert DVI file to PostScript")
                    ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil t :help
                     "Convert PostScript file to PDF")
                    ("Index" "makeindex %s" TeX-run-index nil t :help
                     "Run makeindex to create index file")
                    ("Xindy" "texindy %s" TeX-run-command nil t :help
                     "Run xindy to create index file")
                    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode)
:help
                     "Check LaTeX file for correctness")
                    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil
(latex-mode) :help
                     "Check LaTeX file for common mistakes")
                    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function
nil t :help
                     "Spell-check the document")
                    ("Clean" "TeX-clean" TeX-run-function nil t :help
                     "Delete generated intermediate files")
                    ("Clean All" "(TeX-clean t)" TeX-run-function nil t
:help
                     "Delete generated intermediate and output files")
                    ("Other" "" TeX-run-command t t :help "Run an arbitrary
command"))
 )